slepc-3.21.1 2024-04-26
Report Typos and Errors

# RGSetType

Selects the type for the RG object.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGSetType(RG rg,RGType type)

Logically Collective

### Input Parameters

| rg | - the region context
| type | - a known type

### See Also

RGGetType()

### Level

intermediate

### Location

src/sys/classes/rg/interface/rgbasic.c

### Examples

src/eps/tutorials/ex30.c
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex42.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages